[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.Changed

Performs actions needed when value(s) in the class instance have been modified.

## Declaration

Source position: graphics.pp line 903

`protected procedure TPicture.Changed(`
`Sender: TObject`
`); virtual;`

## Description

Changed performs actions needed when value(s) in the class instance have been modified. In TPicture, it signals the OnChange event handler (when assigned). No actions are performed in the method when OnChange has not been assigned (contains Nil).

## See also

TPicture.OnChange |  | OnChange - Event handler for any change in the picture.